# RPM specfile for gnome-pilot module
# Generated Tue Oct  8 17:32:44 2002 GMT by Ximian build system
# $Id: bb_do,v 1.193 2002/09/10 14:45:10 thunder Exp $
# from $Id: ximian-build.conf,v 1.44 2002/10/01 20:22:14 frb Exp $

%define nam	gnome-pilot
%define ver	0.1.66
%define ximrev	1

Name:     	gnome-pilot
Version: 	0.1.66
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	GPL/LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/gnome-pilot/
Epoch:		1
Source0:	gnome-pilot-0.1.66.tar.gz
Patch0:		gnome-pilot-install-client.patch
BuildRequires:	pilot-link-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	intltool
BuildRequires:	libxml-devel
BuildRequires:	gnome-vfs-devel
Summary:	PalmOS link utilities
Group:		Applications/Communications
Provides:	ximian-gnome-pilot = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/usr/bin/gnome-pilot-make-password
/usr/bin/gpilot-install-file
/usr/bin/gpilotd
/usr/bin/gpilotd-client
/usr/bin/gpilotd-control-applet
/usr/bin/gpilotd-session-wrapper
/usr/lib/gnome-pilot/conduits/*
/usr/lib/*.so.*
/usr/share/control-center/*
/usr/share/gnome/*
/usr/share/gnome-pilot/*
/usr/share/locale/*/*/*
/usr/share/mime-info/*
/usr/share/pixmaps/*
/etc/CORBA/servers/*
/usr/share/man/man1/*
%dir /usr/share/gnome-pilot
%dir /usr/lib/gnome-pilot/conduits
%dir /usr/lib/gnome-pilot


%post
ldconfig

%postun
ldconfig

%package -n gnome-pilot-devel
Summary:	Pilot development header files.
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	pilot-link-devel
Provides:	ximian-gnome-pilot-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gnome-pilot-devel
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files -n gnome-pilot-devel
%defattr(-, root, root)
/usr/include/*/*
/usr/lib/*.so
/usr/lib/*.a
/usr/lib/*.la
/usr/lib/*Conf.sh
/usr/share/idl/*


%package -n gnome-pilot-applet
Summary:	GNOME Pilot Panel Applet
Group:		Applications/Communications
Requires:	%{nam} = %{PACKAGE_VERSION}
Provides:	ximian-gnome-pilot-applet = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gnome-pilot < %{PACKAGE_VERSION}

%description -n gnome-pilot-applet
GNOME Pilot provides this panel applet for control and status on your GNOME 1.4 based desktop. This package will not work with GNOME 2.x

%files -n gnome-pilot-applet
%defattr(-, root, root)
/usr/share/applets/Utility/gpilot-applet.desktop
/usr/bin/gpilot-applet


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-pilot-0.1.66
    ;;
all)
%setup  -q -n gnome-pilot-0.1.66
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND ARCH
case "$RPM_COMMAND" in
prepare|all)
    libtoolize --force --copy; aclocal ${ACLOCAL_FLAGS} -I macros; autoconf; automake --gnu --add-missing --include-deps; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-usb-visor=yes --disable-oaf --with-pisock=/usr
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Oct 2 2002 Ximian, Inc.

- Version: 1:0.1.66-1.ximian.1
- Summary: New build.
- New automated build.

* Thu Aug 1 2002 Ximian, Inc.

- Version: 0.1.65-1.ximian.3
- Summary: New build.
- New automated build.

* Fri Mar 22 2002 Ximian, Inc.

- Version: 0.1.64-2.ximian.1
- Summary: New build.
- New automated build.

